PIP 0.5.0_alpha Platform-Independent Primitives

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y

Here is a list of all documented class members with links to the class documentation for each member:

### - s -

- S110 : PISerial
- S115200 : PISerial
- S1200 : PISerial
- S19200 : PISerial
- S2400 : PISerial
- S300 : PISerial
- S38400 : PISerial
- S4800 : PISerial
- S50 : PISerial
- S57600 : PISerial
- S600 : PISerial
- S75 : PISerial
- S9600 : PISerial
- saveControl() : PICout
- Scientific : PIConsole
- seconds : PISystemTime
- seek() : PIBinaryLog , PIFile , PIIOString
- seekTo() : PIBinaryLog
- seekToBegin() : PIFile , PIIOString
- seekToEnd() : PIFile , PIIOString
- seekToLine() : PIFile
- send() : PIEthernet , PISerial
- sendAddress() : PIEthernet
- sendBytesPerSec() : PIDiagnostics
- sendBytesPerSec_ptr() : PIDiagnostics
- sendCount() : PIDiagnostics
- sendCount_ptr() : PIDiagnostics
- sendCountPerSec() : PIDiagnostics
- sendCountPerSec_ptr() : PIDiagnostics
- sended() : PIDiagnostics
- senderData() : PIConnection
- senderFixedData() : PIConnection
- senderFrequency() : PIConnection
- sendIP() : PIEthernet
- sendPort() : PIEthernet
- sendSpeed() : PIDiagnostics
- sendSpeed_ptr() : PIDiagnostics
- SeparateSockets : PIEthernet
- setActive() : PIKbdListener
- setBufferSize() : PIPacketExtractor
- setColumnAlignment() : PIConsole
- setColumnAlignmentToAll() : PIConsole
- setComment() : PIConfig::Entry
- setControl() : PICout
- setCurrent() : PIDir
- setData() : PIEvaluator , PIKbdListener , PIThread , PITimer
- setDataBitsCount() : PISerial
- setDebug() : PIObject
- setDefaultAlignment() : PIConsole
- setDefaultID() : PIBinaryLog
- setDelimiter() : PIConfig
- setDevice() : PIPacketExtractor , PISerial
- setDir() : PIDir
- setDisconnectTimeout() : PIDiagnostics
- setFakeMode() : PIConnection
- setFilePrefix() : PIBinaryLog
- setFlag() : PIFlags< Enum >
- setFooter() : PIPacketExtractor
- setHeader() : PIPacketExtractor
- setInitialState() : PIStateMachine< Type >
- setInSpeed() : PISerial
- setInterval() : PITimer
- setLogDir() : PIBinaryLog
- setMulticastTTL() : PIEthernet
- setName() : PIConfig::Entry , PIObject
- setNumber() : PIString
- setOutSpeed() : PISerial
- setPacketSize() : PIPacketExtractor
- setParameter() : PIEthernet , PISerial
- setParameters() : PIEthernet , PISerial
- setPath() : PIFile , PIIODevice
- setPayloadSize() : PIPacketExtractor
- setPin() : PISerial
- setPlayDelay() : PIBinaryLog
- setPlayMode() : PIBinaryLog
- setPlayRealTime() : PIBinaryLog
- setPlaySpeed() : PIBinaryLog
- setPrecision() : PIFile
- setPriority() : PIThread
- setProperty() : PIObject
- setRapidStart() : PIBinaryLog
- setReadableSize() : PIString
- setReadAddress() : PIEthernet
- setReadIP() : PIEthernet
- setReadIsBlocking() : PISerial
- setReadPort() : PIEthernet
- setReadTimeout() : PIEthernet
- setReopenEnabled() : PIIODevice
- setReopenTimeout() : PIIODevice
- setSendAddress() : PIEthernet
- setSenderFixedData() : PIConnection
- setSendIP() : PIEthernet
- setSendPort() : PIEthernet
- setSlot() : PIKbdListener , PIThread , PITimer
- setSpeed() : PISerial
- setSplitFileSize() : PIBinaryLog
- setSplitMode() : PIBinaryLog , PIPacketExtractor
- setSplitRecordCount() : PIBinaryLog
- setSplitTime() : PIBinaryLog
- setTab() : PIConsole
- setTabBindKey() : PIConsole
- setThreadedReadBufferSize() : PIIODevice
- setThreadedReadData() : PIIODevice
- setThreadedReadSlot() : PIIODevice
- setTimeout() : PIPacketExtractor
- setTTL() : PIEthernet
- setType() : PIConfig::Entry
- setValue() : PIConfig::Entry , PIConfig , PIVariant
- setVariable() : PIEvaluator
- setWriteTimeout() : PIEthernet
- Shift : PIKbdListener
- Short : PIVariant
- size() : PIFile
- Size : PIPacketExtractor
- size() : PIVector< T >
- size_s() : PIVector< T >
- sizeHint() : PIScreenTile
- sleep() : PISystemTime
- sort() : PIVector< T >
- space() : PICout
- Space : PIKbdListener
- SpecialKey : PIKbdListener
- speed : PISerial
- Speed : PISerial
- split() : PIString
- SplitCount : PIBinaryLog
- splitFileSize() : PIBinaryLog
- SplitMode : PIBinaryLog
- splitMode() : PIBinaryLog , PIPacketExtractor
- SplitMode : PIPacketExtractor
- SplitNone : PIBinaryLog
- splitRecordCount() : PIBinaryLog
- SplitSize : PIBinaryLog
- splitTime() : PIBinaryLog
- SplitTime : PIBinaryLog
- start() : PIConnection , PIConsole , PIDiagnostics , PIIODevice , PIScreen , PIThread , PITimer
- startAllSenders() : PIConnection
- startAllThreadedReads() : PIConnection
- started() : PIThread
- startOnce() : PIThread
- startSender() : PIConnection
- startsWith() : PIString
- startThreadedRead() : PIConnection , PIIODevice
- startThreadedWrite() : PIIODevice
- State() : PIStateMachine< Type >::State
- statesCount() : PIStateMachine< Type >
- stdString() : PIString
- stop() : PIConnection , PIConsole , PIIODevice , PIScreen , PIThread , PITimer
- stopAllSenders() : PIConnection
- stopAllThreadedReads() : PIConnection
- stopped() : PIThread
- stopSender() : PIConnection
- stopThreadedRead() : PIConnection , PIIODevice
- stopThreadedWrite() : PIIODevice
- string() : PIIOString
- String : PIVariant
- StringList : PIVariant
- superClassName() : PIObject
- switchToState() : PIStateMachine< Type >
- SystemTime : PIVariant
- SystemTimeSeconds : PIConsole
- SystemTimeSplit : PIConsole